List Project Users
curl --request GET \
--url https://api.harvey.ai/api/v1/vault/projects/{project_id}/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.harvey.ai/api/v1/vault/projects/{project_id}/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.harvey.ai/api/v1/vault/projects/{project_id}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "COMPLETED",
"data": {
"project_id": "12345678-1234-5678-1234-567812345678",
"users": [
{
"user_id": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
"email": "admin@example.com",
"name": "Alice Admin",
"access_level": "MANAGE"
},
{
"user_id": "11111111-2222-3333-4444-555566667777",
"email": "reviewer@example.com",
"name": "Bob Reviewer",
"access_level": "READ"
}
]
}
}Vault
List Project Users
Lists all workspace users with current active access to a specified Vault project, along with their access levels. Includes effective user access (including inherited access), and the project owner is always included with MANAGE access.
Requires vault sharing to be enabled.
GET
/
api
/
v1
/
vault
/
projects
/
{project_id}
/
users
List Project Users
Permissions
RequiresVault API permission, and either Vault sharing (view only) or Vault sharing permission.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the Vault project